seterrorhandler(print)
local db
SlashCmdList["RANDOMQUOTE"] = function(input)
	if not db then
		if not RandomQuote_DB then RandomQuote_DB = {} end
		db = RandomQuote_DB
	end
	if not db.quotes then db.quotes = {} end
	if not db.cur then db.cur = next(db.quotes,nil) end
	if not db.cur then db.quotes["Default"] = {} db.cur = "Default" end
	local fullAdd, addChan, addQuote = input:match("^add ((%S+)%s+(.+))")
	if fullAdd then
		if (addChan == "SAY") or (addChan == "YELL") or (addChan == "PARTY") or (addChan == "RAID") then
			tinsert(db.quotes[db.cur], {t=addQuote, c=addChan})
		else
			tinsert(db.quotes[db.cur], {t=fullAdd})
		end
		return
	end
	if input == "list" then
		for i, d in ipairs(db.quotes[db.cur]) do
			if d.c then
				print(i, d.t, "["..d.c.."]")
			else
				print(i, d.t)
			end
		end
		return
	end
	local removeIndex = tonumber((input:match("^remove (%d+)")))
	if removeIndex then
		if db.quotes[db.cur][removeIndex] then
			tremove(db.quotes[db.cur], removeIndex)
		end
		return
	end
	local newTable = input:match("^table (.+)")
	if newTable then
		if not db.quotes[newTable] then db.quotes[newTable] = {} end
		db.cur = newTable
		return
	end
	if input == "tablelist" then
		for key in pairs(db.quotes) do
			if key == db.cur then
				print(key.." |cff00ff00CURRENT|r")
			else
				print(key)
			end
		end
		return
	end
	do
		local d = db.quotes[db.cur][math.random(1,#db.quotes[db.cur])]
		SendChatMessage(d.t, (d.c or "YELL"))
	end
end
SLASH_RANDOMQUOTE1 = "/randomquote";